Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to compile a source code and I'm getting this error

make[1]: makedepend: Command not found

Do you have any suggestions?

I have Ubuntu 12 04 LTS, 2.6.28-17 kernel and gcc version 4.6.3

share|improve this question

2 Answers 2

up vote 1 down vote accepted
$ apt-cache search makedepend
xutils-dev - X Window System utility programs for development

So you have to install xutils-dev package(which includes the program makedepend) .Install xutils-dev package by running the below command on terminal,

sudo apt-get install xutils-dev
share|improve this answer
    
This is so informative, thank you –  Hosam Hittini Mar 12 at 11:38
$ makedepend
The program 'makedepend' is currently not installed. You can install it by typing:
sudo apt-get install xutils-dev
You will have to enable the component called 'main'

For future, typing the command automatically searches it inside repository and suggests variants of packages which can be installed in case the command not found in system.

share|improve this answer
    
Worked for me, getting different errors now :D Thank you –  Hosam Hittini Mar 12 at 8:00

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.